package com.ruoyi.common.constant;

/**
 * 岗检问题状态枚举
 */
public enum PostProgrammeEnum {

    //status    状态：1-待审核；2-审核中；3-通过；4-驳回；
    STATUS_WAIT("待审核", 1),
    STATUS_ING("审核中", 2),
    STATUS_PASS("通过；", 3),
    STATUS_BACK("驳回；", 4),

    //status_hr 1-人力资源审批-状态：1-待审核；3-通过；4-驳回；
    STATUS_HR_WAIT("待审核", 1),
    STATUS_HR_PASS("通过；", 3),
    STATUS_HR_BACK("驳回；", 4),


    // 流转步骤
    STEP_HR("人力资源", 1),
    STEP_ICFA("内控法务", 2),
    STEP_SCHEME("方案入档",3),


    //status_icfa 2-内控法务部审批-状态：1-待审核；3-通过；4-驳回；
    STATUS_ICFA_WAIT("待审核", 1),
    STATUS_ICFA_PASS("通过；", 3),
    STATUS_ICFA_BACK("驳回；", 4);


    private String name;
    private Integer value;

    PostProgrammeEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }
}
