package com.ruoyi.postCheck.service;

import java.util.List;
import com.ruoyi.postCheck.domain.join.PostPlanJoinProblem;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 岗检问题录入列表Service接口
 *
 * @author csg
 * @date 2023-12-22
 */
public interface IPostPlanJoinProblemService
{
    /**
     * 查询岗检问题录入列表
     *
     * @param id 岗检问题录入列表主键
     * @return 岗检问题录入列表
     */
//    public PostPlanJoinProblem selectPostPlanJoinProblemById(Long id);

    /**
     * 查询岗检问题录入列表列表
     *
     * @param postPlanJoinProblem 岗检问题录入列表
     * @return 岗检问题录入列表集合
     */
    public List<PostPlanJoinProblem> selectPostPlanJoinProblemList(PostPlanJoinProblem postPlanJoinProblem);

    /**
     * 新增岗检问题录入列表
     *
     * @param postPlanJoinProblem 岗检问题录入列表
     * @return 结果
     */
//    public int insertPostPlanJoinProblem(PostPlanJoinProblem postPlanJoinProblem);

    /**
     * 修改岗检问题录入列表
     *
     * @param postPlanJoinProblem 岗检问题录入列表
     * @return 结果
     */
//    public int updatePostPlanJoinProblem(PostPlanJoinProblem postPlanJoinProblem);

    /**
     * 批量删除岗检问题录入列表
     *
     * @param ids 需要删除的岗检问题录入列表主键集合
     * @return 结果
     */
//    public int deletePostPlanJoinProblemByIds(Long[] ids);

    /**
     * 删除岗检问题录入列表信息
     *
     * @param id 岗检问题录入列表主键
     * @return 结果
     */
//    public int deletePostPlanJoinProblemById(Long id);
}
