package com.ruoyi.postCheck.domain.homePage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

@EqualsAndHashCode
@Data
@ApiModel(value = "首页-岗检已查/岗检未查")
public class PostCheckedUnCheckedView implements Serializable {


    private static final long serialVersionUID = 1296736926345529777L;

    @ApiModelProperty("部门ID")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("岗位ID")
    private Long postId;

    @ApiModelProperty("岗位名称")
    private String postName;

    @ApiModelProperty("岗位下人数")
    private Integer userCount;

}
